Page MenuHomePhabricator

Create a FeaturedFeed for the frwiki RAW monthly bulletin
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productionPlanet-fr: Replace the RAW feed by the new one
operations/mediawiki-config : masterCreate a FeaturedFeed for the RAW bulletin on frwiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2017, 10:32 PM
Framawiki updated the task description. (Show Details)Jun 11 2017, 10:42 PM
Dereckson added a comment.EditedJun 11 2017, 10:51 PM

The extension is enabled on all wiki by default (but not wikitech), with a limit of 10 items per feed.

According T41919, @Tpt could help for this.

Dereckson added a subscriber: Tpt.Jun 11 2017, 10:51 PM

(edit conflict) Can someone just confirm that it is feasible ? @Dereckson ?
If it's good in a tech-side, I'll push a patch in the following of T65596: Create a FeaturedFeed for the Tech News weekly bulletin. As I understand, it will be necessary to create five Mediawiki: pages on-wiki too.

Change 358772 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Create a FeaturedFeed for the RAW bulletin on frwiki

https://gerrit.wikimedia.org/r/358772

@MaxSem I've just one question : do I need to set daily or weekly feed ? This bulletin is published approximatively every month. I've used {{#ifexist: Wikipédia:RAW/{{#time: Y-m-d }} | Wikipédia:RAW/{{#time: Y-m-d }} |}} in MediaWiki:Ffeed-raw-page.

Other than that, I think that everything is good.

Weekly will result in new issues appearing with a delay in the feed, you might want to use daily with a limit of 60.

Thanks Max. I listed it for the next swap window.

Change 358772 merged by jenkins-bot:
[operations/mediawiki-config@master] Create a FeaturedFeed for the RAW bulletin on frwiki

https://gerrit.wikimedia.org/r/358772

Mentioned in SAL (#wikimedia-operations) [2017-06-15T18:12:35Z] <demon@tin> Synchronized wmf-config/FeaturedFeedsWMF.php: T167617 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-06-15T18:14:13Z] <demon@tin> Synchronized wmf-config/InitialiseSettings.php: T167617 (duration: 00m 44s)

Framawiki closed this task as Resolved.Jun 15 2017, 6:45 PM
Framawiki claimed this task.

Change 360403 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/puppet@production] Planet-fr: Replace the RAW feed by the new one

https://gerrit.wikimedia.org/r/360403

Framawiki reopened this task as Open.Jun 20 2017, 6:52 PM

To be deployed on planet

Change 360403 merged by Dzahn:
[operations/puppet@production] Planet-fr: Replace the RAW feed by the new one

https://gerrit.wikimedia.org/r/360403

Framawiki closed this task as Resolved.Jun 24 2017, 1:45 PM